### Hierarchy

- ClientDataRepositoryImpl

### Implements

- ClientDataRepository

## Index

### Constructors

- constructor

### Methods

- getData
- updateData

## Constructors

### constructor

- new ClientDataRepositoryImpl(transport: HttpTransport): ClientDataRepositoryImpl

- - Defined in repository/client/ClientDataRepositoryImpl.ts:11

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns ClientDataRepositoryImpl

## Methods

### getData

- getData(pk: string): Promise<Map<string, string>>

- Implementation of ClientDataRepository.getData

  - Defined in repository/client/ClientDataRepositoryImpl.ts:17

  #### Parameters

  - ##### pk: string

  #### Returns Promise<Map<string, string>>

### updateData

- updateData(pk: string, data: Map<string, string>): Promise<Map<string, string>>

- Implementation of ClientDataRepository.updateData

  - Defined in repository/client/ClientDataRepositoryImpl.ts:26

  #### Parameters

  - ##### pk: string

  - ##### data: Map<string, string>

  #### Returns Promise<Map<string, string>>

Generated using TypeDoc